# Draw
TKViewerTest
Viewer2dTest

# Viewer2dTest_DoubleMapOfInteractiveAndName Class Reference

`#include <Viewer2dTest_DoubleMapOfInteractiveAndName.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Viewer2dTest_DoubleMapOfInteractiveAndName (const Standard_Integer NbBuckets=1)
Standard_EXPORT Viewer2dTest_DoubleMapOfInteractiveAndName & | Assign (const Viewer2dTest_DoubleMapOfInteractiveAndName &Other)
Viewer2dTest_DoubleMapOfInteractiveAndName & | operator= (const Viewer2dTest_DoubleMapOfInteractiveAndName &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~Viewer2dTest_DoubleMapOfInteractiveAndName ()
Standard_EXPORT void | Bind (const Handle(AIS2D_InteractiveObject)&K1, const TCollection_AsciiString &K2)
Standard_EXPORT Standard_Boolean | AreBound (const Handle(AIS2D_InteractiveObject)&K1, const TCollection_AsciiString &K2) const
Standard_EXPORT Standard_Boolean | IsBound1 (const Handle(AIS2D_InteractiveObject)&K) const
Standard_EXPORT Standard_Boolean | IsBound2 (const TCollection_AsciiString &K) const
Standard_EXPORT const TCollection_AsciiString & | Find1 (const Handle(AIS2D_InteractiveObject)&K) const
Standard_EXPORT const Handle_AIS2D_InteractiveObject & | Find2 (const TCollection_AsciiString &K) const
Standard_EXPORT Standard_Boolean | UnBind1 (const Handle(AIS2D_InteractiveObject)&K)
Standard_EXPORT Standard_Boolean | UnBind2 (const TCollection_AsciiString &K)

## Private Member Functions

Standard_EXPORT | Viewer2dTest_DoubleMapOfInteractiveAndName (const Viewer2dTest_DoubleMapOfInteractiveAndName &Other)

## Constructor & Destructor Documentation

Standard_EXPORT Viewer2dTest_DoubleMapOfInteractiveAndName::Viewer2dTest_DoubleMapOfInteractiveAndName | ( | const Standard_Integer | NbBuckets = `1` | ) |

Viewer2dTest_DoubleMapOfInteractiveAndName::~Viewer2dTest_DoubleMapOfInteractiveAndName | ( |  | ) | `[inline]`

Standard_EXPORT Viewer2dTest_DoubleMapOfInteractiveAndName::Viewer2dTest_DoubleMapOfInteractiveAndName | ( | const Viewer2dTest_DoubleMapOfInteractiveAndName & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT Standard_Boolean Viewer2dTest_DoubleMapOfInteractiveAndName::AreBound | ( | const Handle(AIS2D_InteractiveObject)& | K1,
|  | const TCollection_AsciiString & | K2
| ) | const

Standard_EXPORT Viewer2dTest_DoubleMapOfInteractiveAndName& Viewer2dTest_DoubleMapOfInteractiveAndName::Assign | ( | const Viewer2dTest_DoubleMapOfInteractiveAndName & | Other | ) |

Standard_EXPORT void Viewer2dTest_DoubleMapOfInteractiveAndName::Bind | ( | const Handle(AIS2D_InteractiveObject)& | K1,
|  | const TCollection_AsciiString & | K2
| ) |

Standard_EXPORT void Viewer2dTest_DoubleMapOfInteractiveAndName::Clear | ( |  | ) |

Standard_EXPORT const TCollection_AsciiString& Viewer2dTest_DoubleMapOfInteractiveAndName::Find1 | ( | const Handle(AIS2D_InteractiveObject)& | K | ) | const

Standard_EXPORT const Handle_AIS2D_InteractiveObject& Viewer2dTest_DoubleMapOfInteractiveAndName::Find2 | ( | const TCollection_AsciiString & | K | ) | const

Standard_EXPORT Standard_Boolean Viewer2dTest_DoubleMapOfInteractiveAndName::IsBound1 | ( | const Handle(AIS2D_InteractiveObject)& | K | ) | const

Standard_EXPORT Standard_Boolean Viewer2dTest_DoubleMapOfInteractiveAndName::IsBound2 | ( | const TCollection_AsciiString & | K | ) | const

void Viewer2dTest_DoubleMapOfInteractiveAndName::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Viewer2dTest_DoubleMapOfInteractiveAndName::operator new | ( | size_t | size | ) | `[inline]`

void* Viewer2dTest_DoubleMapOfInteractiveAndName::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Viewer2dTest_DoubleMapOfInteractiveAndName& Viewer2dTest_DoubleMapOfInteractiveAndName::operator= | ( | const Viewer2dTest_DoubleMapOfInteractiveAndName & | Other | ) | `[inline]`

Standard_EXPORT void Viewer2dTest_DoubleMapOfInteractiveAndName::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_EXPORT Standard_Boolean Viewer2dTest_DoubleMapOfInteractiveAndName::UnBind1 | ( | const Handle(AIS2D_InteractiveObject)& | K | ) |

Standard_EXPORT Standard_Boolean Viewer2dTest_DoubleMapOfInteractiveAndName::UnBind2 | ( | const TCollection_AsciiString & | K | ) |

The documentation for this class was generated from the following file:

- Viewer2dTest_DoubleMapOfInteractiveAndName.hxx